// https://unocss.dev/presets/attributify#vue-3

// https://github.com/unocss/unocss/pull/4095
// type BasicAttributesFix = import('@unocss/preset-attributify').BasicAttributes | 'b';

// type AttributifyNames<Prefix extends string = ''> =
//   | `${Prefix}${BasicAttributesFix}`
//   | `${Prefix}${PseudoPrefix}:${BasicAttributes}`;

// declare module '@vue/runtime-dom' {
//   interface HTMLAttributes extends Partial<Record<AttributifyNames, string | boolean>> {}
// }

declare module 'vue' {
  // eslint-disable-next-line @typescript-eslint/no-empty-object-type
  interface HTMLAttributes
    extends Partial<Record<import('@unocss/preset-attributify').AttributifyNames, string | boolean>> {}
}

export {};
